<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$stateObj =  new  state();

$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'statelist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}

if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['state_id'])){
    if(isset($_REQUEST['status'])){

        $stateDetail = $stateObj->fromId($_REQUEST['state_id']);
        if($stateDetail->state_status == 'active')
        {
            $old_status = 'Active';
        }else{
            $old_status = 'Inactive';
        }

        if($_REQUEST['status'] == '1')
        {
            $state_status = 'active';
            $new_status = 'Active';
        }else{
            $state_status = 'inactive';
            $new_status = 'Inactive';
        }
        //$stateObj->changeStatus($_REQUEST['state_id']);

        $id=$_REQUEST['state_id'];
        $data['state_status'] = $state_status;
        $rs=$stateObj->updateRecords($data,$id);

        $state_detail = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
        
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$state_detail);
        echo RECORD_STATUS;
    }
    return true;
}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['state_id'])){
    $stateObj->deleteFromId($_REQUEST['state_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("state_status" => 'active');
        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $stateObj->fromId($val_actchk);
            if($old_data->state_status == 'active')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->state_status != 'active')
            {
                $new_status = 'Active';
                $statedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$statedata);
            }
        }
        $rs = $stateObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("state_status" => 'inactive');
        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $stateObj->fromId($val_actchk);
            if($old_data->state_status == 'active')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->state_status != 'active')
            {
                $new_status = 'Active';
                $statedata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$statedata);
            }
        }
        $rs = $stateObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        $statedata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$statedata);

        $rs = $stateObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}

if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";

    
    
    if(isset($_REQUEST['country_id']) && $_REQUEST['country_id'] != '')
    {
        $where .= " AND s.country_id = '".$_REQUEST['country_id']."'";
    }
    
    if(isset($_REQUEST['state_name']) && $_REQUEST['state_name'] != '')
    {
        $where .= " AND  s.state_name = '".$_REQUEST['state_name']."' ";
    }
    
    if(isset($_REQUEST['state_status']) && $_REQUEST['state_status'] != '')
    {
        $where .= " AND  s.state_status = '".$_REQUEST['state_status']."' ";
    }
    
    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where = " state_id LIKE '%".$_REQUEST['search']['value']."%' OR state_name LIKE '%".$_REQUEST['search']['value']."%' ";
    }    
    

    $orderFields = array('state_id');    
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" state_id desc ");
    }
    //print_r($orderby);exit;
    $tables = array('tbl_country c');
    $jfields = array('c.country_id = s.country_id');
    $jtype   = array("INNER"); 
    $data    = array('joinTables' =>$tables, 'joinFields' =>$jfields, 'joinTypes' => $jtype,'where' => $where,'limit' => $limit, 'orderBy'=>$orderby);
    //$data    = array('where' => $where,'limit' => $limit, 'orderBy'=>$orderby);

    $stateDetails = $stateObj->getAllRecords($data);

    $recordsTotal   =   $stateObj->getAllCount($data);

        
    if ($stateDetails && count($stateDetails)>0){
        foreach ($stateDetails as $key => $statedata){

            

            if($statedata->state_status == 'active'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$statedata->state_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$statedata->state_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }
            
            
            $action = '<a href="stateadd.php?act=edit&state_id='.$statedata->state_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';

            $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$statedata->state_id.'" class="check_class" />',
                    $statedata->state_id, 
                    $statedata->country_name,
                    $statedata->state_name,
                    $statedata->state_shortcode,
                    "<div id='td_status_".$statedata->state_id."'>".$status."</div>",
                    $action,
                    
             );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}

// Include Template 
include_once('../libs/routs.php');
?>